package com.myorg;

import static software.amazon.awscdk.RemovalPolicy.DESTROY;

import org.jetbrains.annotations.NotNull;
import software.amazon.awscdk.services.ecr.Repository;
import software.constructs.Construct;

public class TestConstruct extends Construct  {
  public TestConstruct(@NotNull Construct scope, @NotNull String id) {
    super(scope, id);

    Repository consumerRepo = Repository.Builder
        .create(this, "DemoRepo")
        .repositoryName("test-app")
        .imageScanOnPush(false)
        .removalPolicy(DESTROY)
        .autoDeleteImages(true)
        .build();
  }

}
